# coding: utf-8

"""
    Prevision.io

    Prevision.io Studio APIs  # noqa: E501

    OpenAPI spec version: 1.0.5
    Contact: web@prevision.io
    Generated by: https://github.com/swagger-api/swagger-codegen.git
"""

import pprint
import re  # noqa: F401

import six

class ProjectsprojectIdpipelinetemplatesProperties(object):
    """NOTE: This class is auto generated by the swagger code generator program.

    Do not edit the class manually.
    """
    """
    Attributes:
      swagger_types (dict): The key is attribute name
                            and the value is attribute type.
      attribute_map (dict): The key is attribute name
                            and the value is json key in definition.
    """
    swagger_types = {
        'name': 'str',
        'value': 'str',
        'dynamic': 'bool',
        'pipeline_parameter': 'bool'
    }

    attribute_map = {
        'name': 'name',
        'value': 'value',
        'dynamic': 'dynamic',
        'pipeline_parameter': 'pipeline_parameter'
    }

    def __init__(self, name=None, value=None, dynamic=None, pipeline_parameter=None):  # noqa: E501
        """ProjectsprojectIdpipelinetemplatesProperties - a model defined in Swagger"""  # noqa: E501
        self._name = None
        self._value = None
        self._dynamic = None
        self._pipeline_parameter = None
        self.discriminator = None
        if name is not None:
            self.name = name
        if value is not None:
            self.value = value
        if dynamic is not None:
            self.dynamic = dynamic
        if pipeline_parameter is not None:
            self.pipeline_parameter = pipeline_parameter

    @property
    def name(self):
        """Gets the name of this ProjectsprojectIdpipelinetemplatesProperties.  # noqa: E501


        :return: The name of this ProjectsprojectIdpipelinetemplatesProperties.  # noqa: E501
        :rtype: str
        """
        return self._name

    @name.setter
    def name(self, name):
        """Sets the name of this ProjectsprojectIdpipelinetemplatesProperties.


        :param name: The name of this ProjectsprojectIdpipelinetemplatesProperties.  # noqa: E501
        :type: str
        """

        self._name = name

    @property
    def value(self):
        """Gets the value of this ProjectsprojectIdpipelinetemplatesProperties.  # noqa: E501


        :return: The value of this ProjectsprojectIdpipelinetemplatesProperties.  # noqa: E501
        :rtype: str
        """
        return self._value

    @value.setter
    def value(self, value):
        """Sets the value of this ProjectsprojectIdpipelinetemplatesProperties.


        :param value: The value of this ProjectsprojectIdpipelinetemplatesProperties.  # noqa: E501
        :type: str
        """

        self._value = value

    @property
    def dynamic(self):
        """Gets the dynamic of this ProjectsprojectIdpipelinetemplatesProperties.  # noqa: E501


        :return: The dynamic of this ProjectsprojectIdpipelinetemplatesProperties.  # noqa: E501
        :rtype: bool
        """
        return self._dynamic

    @dynamic.setter
    def dynamic(self, dynamic):
        """Sets the dynamic of this ProjectsprojectIdpipelinetemplatesProperties.


        :param dynamic: The dynamic of this ProjectsprojectIdpipelinetemplatesProperties.  # noqa: E501
        :type: bool
        """

        self._dynamic = dynamic

    @property
    def pipeline_parameter(self):
        """Gets the pipeline_parameter of this ProjectsprojectIdpipelinetemplatesProperties.  # noqa: E501


        :return: The pipeline_parameter of this ProjectsprojectIdpipelinetemplatesProperties.  # noqa: E501
        :rtype: bool
        """
        return self._pipeline_parameter

    @pipeline_parameter.setter
    def pipeline_parameter(self, pipeline_parameter):
        """Sets the pipeline_parameter of this ProjectsprojectIdpipelinetemplatesProperties.


        :param pipeline_parameter: The pipeline_parameter of this ProjectsprojectIdpipelinetemplatesProperties.  # noqa: E501
        :type: bool
        """

        self._pipeline_parameter = pipeline_parameter

    def to_dict(self):
        """Returns the model properties as a dict"""
        result = {}

        for attr, _ in six.iteritems(self.swagger_types):
            value = getattr(self, attr)
            if isinstance(value, list):
                result[attr] = list(map(
                    lambda x: x.to_dict() if hasattr(x, "to_dict") else x,
                    value
                ))
            elif hasattr(value, "to_dict"):
                result[attr] = value.to_dict()
            elif isinstance(value, dict):
                result[attr] = dict(map(
                    lambda item: (item[0], item[1].to_dict())
                    if hasattr(item[1], "to_dict") else item,
                    value.items()
                ))
            else:
                result[attr] = value
        if issubclass(ProjectsprojectIdpipelinetemplatesProperties, dict):
            for key, value in self.items():
                result[key] = value

        return result

    def to_str(self):
        """Returns the string representation of the model"""
        return pprint.pformat(self.to_dict())

    def __repr__(self):
        """For `print` and `pprint`"""
        return self.to_str()

    def __eq__(self, other):
        """Returns true if both objects are equal"""
        if not isinstance(other, ProjectsprojectIdpipelinetemplatesProperties):
            return False

        return self.__dict__ == other.__dict__

    def __ne__(self, other):
        """Returns true if both objects are not equal"""
        return not self == other
